package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.*;


import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;

import com.fasterxml.jackson.annotation.JsonBackReference;
import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class RangeKmkVOVO
 * 
 * @author Generator
 */
public class RangeKmkVO  extends BaseMasterVO{
@ManyToOne
	 @JoinColumn(name = "KelompokJabatanFk")
	 @NotNull(message = "Kelompok Jabatan Harus Diisi")
	 @Caption(value = "Kelompok Jabatan")
	private NilaiKelompokJabatanVO kelompokJabatan;
	public NilaiKelompokJabatanVO getKelompokJabatan() {
		return kelompokJabatan;
	}
	public void setKelompokJabatan(NilaiKelompokJabatanVO kelompokJabatan) {
		this.kelompokJabatan = kelompokJabatan;
	}
	@Column(name = "KelompokJabatanFk", insertable=false,updatable=false)
	private String kelompokJabatanId;

	@Column(name = "Minimal", nullable = false , length = 100)
	 @Caption(value = "Minimal")
	private Integer minimal ;
	public Integer getMinimal() {
		return minimal ;
	}
	public void setMinimal(Integer minimal ) {
		this.minimal  = minimal ;
	}

	@Column(name = "Maximal", nullable = false , length = 100)
	 @Caption(value = "Maximal")
	private Integer maximal ;
	public Integer getMaximal() {
		return maximal ;
	}
	public void setMaximal(Integer maximal ) {
		this.maximal  = maximal ;
	}

	@Column(name = "Iki", nullable = false , length = 100)
	 @Caption(value = "Iki")
	private Integer iki ;
	public Integer getIki() {
		return iki ;
	}
	public void setIki(Integer iki ) {
		this.iki  = iki ;
	}

	@Column(name = "TotalRemunerasi", nullable = false , length = 100)
	 @Caption(value = "TotalRemunerasi")
	private Integer totalRemunerasi ;
	public Integer getTotalRemunerasi() {
		return totalRemunerasi ;
	}
	public void setTotalRemunerasi(Integer totalRemunerasi ) {
		this.totalRemunerasi  = totalRemunerasi ;
	}


}